WPS8ParserInternal::State Struct Reference

the state of WPS8 More...

## Public Member Functions
| State ()
void | initTypeMaps ()
| initializes the type map

## Public Attributes
long | m_eof
| the end of file
WPSPageSpan | m_pageSpan
| the actual document size
std::string | m_localeLanguage
| the language
WPSEntry | m_background
| an identificator to design a background picture
std::vector< Frame > | m_frameList
| the frame's list
std::map< int, int > | m_object2FrameMap
| a map m_idObject -> frame
std::map< int, int > | m_table2FrameMap
| a map m_idTable -> frame
std::map< int, int > | m_docPropertyTypes
| the document property type
std::map< int, int > | m_frameTypes
| the frame type
int | m_numColumns
| the number of columns
int | m_actPage
| the actual page
int | m_numPages

## Detailed Description

the state of WPS8

## Constructor & Destructor Documentation

## ◆ State()

WPS8ParserInternal::State::State | ( |  | ) |
| inline

## Member Function Documentation

## ◆ initTypeMaps()

void WPS8ParserInternal::State::initTypeMaps | ( |  | ) |

initializes the type map

Referenced by State().

## Member Data Documentation

## ◆ m_actPage

int WPS8ParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_background

WPSEntry WPS8ParserInternal::State::m_background

an identificator to design a background picture

Referenced by State().

## ◆ m_docPropertyTypes

std::map<int,int> WPS8ParserInternal::State::m_docPropertyTypes

the document property type

Referenced by initTypeMaps(), and State().

## ◆ m_eof

long WPS8ParserInternal::State::m_eof

the end of file

Referenced by State().

## ◆ m_frameList

std::vector<Frame> WPS8ParserInternal::State::m_frameList

the frame's list

Referenced by State().

## ◆ m_frameTypes

std::map<int,int> WPS8ParserInternal::State::m_frameTypes

the frame type

Referenced by initTypeMaps(), and State().

## ◆ m_localeLanguage

std::string WPS8ParserInternal::State::m_localeLanguage

the language

Referenced by State().

## ◆ m_numColumns

int WPS8ParserInternal::State::m_numColumns

the number of columns

Referenced by State().

## ◆ m_numPages

int WPS8ParserInternal::State::m_numPages

Referenced by State().

## ◆ m_object2FrameMap

std::map<int, int> WPS8ParserInternal::State::m_object2FrameMap

a map m_idObject -> frame

Referenced by State().

## ◆ m_pageSpan

WPSPageSpan WPS8ParserInternal::State::m_pageSpan

the actual document size

Referenced by State().

## ◆ m_table2FrameMap

std::map<int, int> WPS8ParserInternal::State::m_table2FrameMap

a map m_idTable -> frame

Referenced by State().

The documentation for this struct was generated from the following file:

- WPS8.cpp